#include<iostream>
using namespace std;
int main()
{
    int A, B, C, D, E;
    cin>>A>>B>>C>>D>>E;
    int ostatyk = 0;
    int vtori_ostatyk = 0;
    if(A * A * A + B * B * B + C * C * C + D * D * D <= E * E * E)
    {
        cout<<"1";
    }
    else
    {
        ostatyk =(A * A * A + B * B * B + C * C * C + D * D * D)-(E * E * E);
        if(ostatyk <= E * E * E)
        {
            cout<<"2";
        }
        else if(ostatyk <= E * E * E * 2)
        {
            cout<<"3";
            vtori_ostatyk = ostatyk - E * E * E;
        }
        else
        {
            cout<<"4";
        }

    }
    return 0;
}

